import React from "react";
import PropTypes from "prop-types";
import Icon from "./Icon";

const PrintIcon = ({ originalWidth, originalHeight, color, ...props }) => (
    <Icon
        originalHeight={originalHeight}
        originalWidth={originalWidth}
        {...props}
    >
        <path d="M11.7224 20.5556C11.201 20.5556 10.7779 20.9786 10.7779 21.5C10.7779 22.0214 11.201 22.4444 11.7224 22.4444H14.1668C14.6882 22.4444 15.1113 22.0214 15.1113 21.5C15.1113 20.9786 14.6882 20.5556 14.1668 20.5556H11.7224Z" fill="#2F80ED"/>
        <path d="M11.7224 23C11.201 23 10.7779 23.423 10.7779 23.9445C10.7779 24.4659 11.201 24.8889 11.7224 24.8889H19.0557C19.5771 24.8889 20.0002 24.4659 20.0002 23.9445C20.0002 23.423 19.5771 23 19.0557 23H11.7224Z" fill="#2F80ED"/>
        <path d="M11.7224 25.4445C11.201 25.4445 10.7779 25.8675 10.7779 26.3889C10.7779 26.9103 11.201 27.3333 11.7224 27.3333H19.0557C19.5771 27.3333 20.0002 26.9103 20.0002 26.3889C20.0002 25.8675 19.5771 25.4445 19.0557 25.4445H11.7224Z" fill="#2F80ED"/>
        <path fill-rule="evenodd" clip-rule="evenodd" d="M10.5002 1C8.63053 1 7.11126 2.52066 7.11126 4.38889V8.33334H4.38889C2.51926 8.33334 1 9.854 1 11.7222V20.2778C1 22.146 2.51926 23.6667 4.38889 23.6667H7.11126V27.6111C7.11126 29.4793 8.63053 31 10.5002 31H21.5002C23.3698 31 24.8891 29.4793 24.8891 27.6111V23.6667H27.6111C29.4808 23.6667 31 22.146 31 20.2778V11.7222C31 9.854 29.4808 8.33334 27.6111 8.33334H24.8891V4.38889C24.8891 2.52066 23.3698 1 21.5002 1H10.5002ZM9.00015 4.38889C9.00015 3.56221 9.67347 2.88889 10.5002 2.88889H21.5002C22.3268 2.88889 23.0002 3.56221 23.0002 4.38889V8.33334H9.00015V4.38889ZM2.88889 11.7222C2.88889 10.8955 3.56221 10.2222 4.38889 10.2222H27.6111C28.4378 10.2222 29.1111 10.8955 29.1111 11.7222V20.2778C29.1111 21.1045 28.4378 21.7778 27.6111 21.7778H24.8891V17.8333C24.8891 17.3119 24.466 16.8889 23.9446 16.8889H8.05571C7.53428 16.8889 7.11126 17.3119 7.11126 17.8333V21.7778H4.38889C3.56221 21.7778 2.88889 21.1045 2.88889 20.2778V11.7222ZM9.00015 27.6111V18.7778H23.0002V22.7086L23 22.7222L23.0002 22.7359V27.6111C23.0002 28.4378 22.3268 29.1111 21.5002 29.1111H10.5002C9.67347 29.1111 9.00015 28.4378 9.00015 27.6111Z" fill="#2F80ED"/>
    </Icon>
);

PrintIcon.defaultProps = {
    originalWidth: 32,
    originalHeight: 32,
};

PrintIcon.propTypes = {
    originalHeight: PropTypes.number,
    originalWidth: PropTypes.number,
};

export default PrintIcon;
